
      subroutine initial_heino()

!     **************************************************
!     **         initialisation                        *
!     *                                                *
!     **************************************************

      USE module3D_phy
      USE DEFORM_DECLAR
!      use sliding_dragging_heino

      implicit none

!cdc if (itracebug.eq.1)  call tracebug(' Heino: entree dans routine intial_heino')

!====================================== La reponse est 42 ===========
      write(num_rep_42,*)
      write(num_rep_42,*)'Heino : Modification de certains parametres'
      write(num_rep_42,*)'____________________________________________________'
      write(num_rep_42,*)
      write(num_rep_42,*) ' la valeur des parametres suivants est modifiee'
      write(num_rep_42,*)
!=====================================================================

      
!     dfinition des pas de temps en fonction du pas d'espace
!       loigliss=4
!       write(42,*)'loi de glissement Heino',loigliss
      

!      write(num_rep_42,*)
!      write(num_rep_42,*)' ice streams'
!      write(num_rep_42,*) '-----------'
!      toblim=5.e5
!      write(num_rep_42,*) 'seuil de contrainte basale, toblim=',toblim

!      hwatstream=5000.    !meters

!      hwatermax=.2 ! hauteur max d'eau sous glaciaire
!      write(num_rep_42,*)'hauteur d eau maximum', hwatermax

!      write(num_rep_42,*)' passage en stream si hwater > hwatstream=', &
!                hwatstream
!        print*,'test'
! Loi de dformation prescrite par Heino
        SF(1)=3.
        TTRANS(1)=-10.
!        BAT1(1)=SF(1)*7.65e-17  ! Pa-3 a-1  Heino idem Huybrechts  ancien 
        BAT1(1)=7.645058e-17  ! meilleur ajustement si Tmelt=0
        Q1(1)=60.e+3        ! energie d'activation T < TTRANS(1)

!      Rappel : valeurs habituelles Ritz   BAT1(1)=SF(1)*0.166e-15 
!        Glen        T<Trans               Q1(1)=78.2e+3 
  
!        BAT2(1)=SF(1)*0.28642e-15   ! Pa -3 a-1 ancien Heino
        BAT2(1)=2.8586262e-16  ! meilleur ajustement si Tmelt=0
        Q2(1)=139.e+3
        
!      Rappel : valeurs habituelles Ritz   BAT2(1)=SF(1)*0.2e-15 
!        Glen T>Ttrans                     Q2(1)=95.45e+3      T > TTRANS(1)  

        TTRANS(2)=-10.
!  SF(2)=0.
        SF(2)=0.  ! pas de fluidite newtonnienne dans Heino
!        SF(2)=3.
!        SF(2)=6.    ! coefficient multiplicateur

!     Pour les temperatures  inferieures a TTRPHI
  
        BAT1(2)=8.313e-8   ! fluidite Newtonienne
        Q1(2)=40.e+3            ! energie d'activation 
       
!     Pour les temperatures  superieures a TTRPHI
        BAT2(2)=0.      ! fluidite Newtonienne
        BAT2(2)=BAT1(2)  ! attention rajout pour l'ice shelf

!  Q2(2)=SPHI*8.313e-8
        Q2(2)=60.e+3    ! energie d'activation 

        write(num_rep_42,*)
        write(num_rep_42,*) 'Loi de deformation Heino  n, sf, ttrans, bat1, Q1, bat2, Q2'
        do iglen=1,2
           write(num_rep_42,fmt=123) int(glen(iglen)), sf(iglen), ttrans(iglen),bat1(iglen), & 
                Q1(iglen), bat2(iglen), Q2(iglen)
123        format(i2,1x,f0.2,1x,f0.3,1x,4(es10.3,1x))
           ! application des sf
           bat1(iglen)=bat1(iglen)*sf(iglen)
           bat2(iglen)=bat2(iglen)*sf(iglen)
        end do


       
! ------------------------ fin loi de dformation --------------




      ndisp=1   
      write(num_rep_42,*)' sorties temporelles tous les',ndisp

!      dtt=0.2, dtmax=0.2 pour Heinrich events
!      dtt=.25
!      dtmax=0.25

      write(num_rep_42,*)'dtmax est maintenant impose ici (avant il y avait  mise a 5 ans dans icethick)'
      write(num_rep_42,*)' pas de temps : dtmax=',dtmax,'          dtt=',dtt

!      testdiag=0.02
!      testdiag=0.005
      write(num_rep_42,*)'testdiag=',testdiag
      end subroutine initial_heino
